Axelered
API Keys

Create API Key

POST
/keys

Issue a workspace token. Durable by default, or temporary when requested.

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Request Body

application/json
  1. body

Create a persistent API Key

name?string|null
expiresIn?|null

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "id": "string",    "createdAt": "string",    "modifiedAt": "string",    "workspaceId": "string",    "issuerId": "string",    "name": "string",    "expiredAt": "string",    "type": "root",    "secret": "string"  }}